<template>
  <div style="padding: 20px">
    <h1>Сообщение администратору</h1>
    <label>Ваше сообщение:</label>
    <textarea v-model="text"></textarea>
    <div style="">
      <div style="float: left">
        <vue-recaptcha
          ref="recaptcha"
          sitekey="6LdVmhkeAAAAAOEHvP8rTYKVmiVcTtbTMbT_Y7Mp"
          :load-recaptcha-script="true"
          @verify="onCaptchaVerified"
          @expired="onCaptchaExpired"
        />
      </div>
      <div style="padding: 29px; float: left">
        <span style="color: red"> {{ errorText }}</span>
      </div>
    </div>
    <button @click="send">Отправить</button>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "Feedback",
  data() {
    return {
      token: null,
      errorText: null,
      url: String(process.env.VUE_APP_API_URL),
    };
  },
  methods: {
    onCaptchaExpired() {
      this.token = null;
      this.$refs.recaptcha.reset();
    },
    onCaptchaVerified(token) {
      this.errorText = "";
      this.token = token;
    },
    send(e) {
      e.preventDefault();
      if (this.token == null) {
        this.errorText = "Поддвердите что вы не робот";
        return;
      }
      axios.post(this.url + "feedback", { text: this.text, recaptchaToken: this.token });
    },
  },
};
</script>

<style scoped>
input,
textarea {
  width: 100%;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-bottom: 10px;
  display: block;
  box-sizing: border-box;
}

textarea {
  height: 150px;
}

label {
  font-size: small;
  margin-top: 10px;
  margin-bottom: 10px;
}

button {
  width: 100%;
}
</style>
